Skip to content

Get list of validator profiles for delegation

GET
/xp/validators
curl --request GET \
--url https://api.ethos.network/api/v2/xp/validators

Successful response

Media typeapplication/json
Array<object>
object
tokenId
required
string
name
required
string
imageUrl
required
string | null
ownerAddress
required

Ethereum address (0x-prefixed, 20 bytes)

string
ownerProfileId
required
Any of:
integer
> 0 <= 2147483647
ownerDisplayName
required
string | null
ownerUsername
required
string | null
ownerAvatarUrl
required
string | null
currentXp
required
number
remainingCapacity
required
number
xpCap
required
number
isFull
required
boolean

Example generated

[
{
"tokenId": "example",
"name": "example",
"imageUrl": "example",
"ownerAddress": "example",
"ownerProfileId": 1,
"ownerDisplayName": "example",
"ownerUsername": "example",
"ownerAvatarUrl": "example",
"currentXp": 1,
"remainingCapacity": 1,
"xpCap": 1,
"isFull": true
}
]

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}